Notification handlers
GET https://25url.com/api/notification-handlers/
curl --request GET \
--url 'https://25url.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드를 검색 중입니까. 허용되는 값은: name. |
| is_enabled | 선택 사항 불리언 | |
| type | 선택 사항 문자열 | 어떤 필드를 검색 중입니까. 허용되는 값은: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드입니다. 허용되는 값은 notification_handler_id, datetime, last_datetime, name입니다. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 ASC는 오름차순 정렬, DESC는 내림차순 정렬입니다. |
| search | 선택 사항 문자열 | 검색 문자열 |
| search_by | 선택 사항 문자열 | 어떤 필드를 검색 중입니까. 허용되는 값은: name. |
| is_enabled | 선택 사항 불리언 | |
| type | 선택 사항 문자열 | 어떤 필드를 검색 중입니까. 허용되는 값은: email, webhook, slack, discord, telegram, microsoft_teams. |
| datetime_field | 선택 사항 문자열 | 허용된 값: datetime, last_datetime |
| datetime_start | 선택 사항 문자열 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 선택 사항 문자열 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 선택 사항 문자열 | 결과를 정렬할 필드입니다. 허용되는 값은 notification_handler_id, datetime, last_datetime, name입니다. |
| order_type | 선택 사항 문자열 | 결과의 정렬 순서입니다. 허용되는 값은 ASC는 오름차순 정렬, DESC는 내림차순 정렬입니다. |
| page | 선택 사항 정수 | 결과를 원하는 페이지 번호입니다. 기본값은 1입니다. |
| results_per_page | 선택 사항 정수 | 페이지당 결과 수를 선택하세요. 허용된 값: 10, 25, 50, 100, 250, 500, 1000. 기본값: 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-04 13:41:56",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://25url.com/api/notification-handlers?page=1",
"last": "https://25url.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://25url.com/api/notification-handlers?page=1"
}
}
GET https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-05-04 13:41:56",
}
}
POST https://25url.com/api/notification-handlers
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 필수 문자열 | - |
| type | 필수 문자열 | 허용된 값: email, webhook, slack, discord, telegram, microsoft_teams |
| 선택 사항 문자열 | 사용 가능 시기: type = email notification_handlers.email | |
| webhook | 선택 사항 문자열 | 사용 가능 시기: type = webhook notification_handlers.webhook |
| slack | 선택 사항 문자열 | 사용 가능 시기: type = slack notification_handlers.slack |
| discord | 선택 사항 문자열 | 사용 가능 시기: type = discord notification_handlers.discord |
| telegram | 선택 사항 문자열 | 사용 가능 시기: type = telegram notification_handlers.telegram |
| telegram_chat_id | 선택 사항 문자열 | 사용 가능 시기: type = telegram notification_handlers.telegram_chat_id |
| microsoft_teams | 선택 사항 문자열 | 사용 가능 시기: type = microsoft_teams notification_handlers.microsoft_teams |
curl --request POST \
--url 'https://25url.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://25url.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://25url.com/api/notification-handlers/{notification_handler_id}
| 매개변수 | 세부사항 | 설명 |
|---|---|---|
| name | 선택 사항 문자열 | - |
| type | 선택 사항 문자열 | 허용된 값: email, webhook, slack, discord, telegram, microsoft_teams |
| 선택 사항 문자열 | 사용 가능 시기: type = email notification_handlers.email | |
| webhook | 선택 사항 문자열 | 사용 가능 시기: type = webhook notification_handlers.webhook |
| slack | 선택 사항 문자열 | 사용 가능 시기: type = slack notification_handlers.slack |
| discord | 선택 사항 문자열 | 사용 가능 시기: type = discord notification_handlers.discord |
| telegram | 선택 사항 문자열 | 사용 가능 시기: type = telegram notification_handlers.telegram |
| telegram_chat_id | 선택 사항 문자열 | 사용 가능 시기: type = telegram notification_handlers.telegram_chat_id |
| microsoft_teams | 선택 사항 문자열 | 사용 가능 시기: type = microsoft_teams notification_handlers.microsoft_teams |
| is_enabled | 선택 사항 불리언 | - |
curl --request POST \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://25url.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://25url.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \